Bug 23352 - По завершении сеанса валится Х-сервер. После чего умирает консоль.
: По завершении сеанса валится Х-сервер. После чего умирает консоль.
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xorg)
: unstable
: x86_64 Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2010-04-19 23:56 by
Modified: 2010-07-04 16:08 (History)


Attachments
Xorg.log (30.67 KB, text/plain)
2010-04-20 01:01, Denis Kuznetsov
no flags Details
Лог Х-сервера с ведром 2.6.32-std-ng-alt11 (30.03 KB, text/plain)
2010-04-20 18:40, Denis Kuznetsov
no flags Details
сползания экрана (173.24 KB, image/jpeg)
2010-04-20 21:12, Denis Kuznetsov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-04-19 23:56:14
(II) UnloadModule: "evdev"

Backtrace:
0: X (xorg_backtrace+0x28) [0x45d298]
1: X (0x400000+0x59f19) [0x459f19]
2: /lib64/libpthread.so.0 (0x7f7553472000+0xe9b0) [0x7f75534809b0]
3: /lib64/libc.so.6 (0x7f75523f3000+0x6fd3e) [0x7f7552462d3e]
4: /lib64/libc.so.6 (0x7f75523f3000+0x71008) [0x7f7552464008]
5: /lib64/libc.so.6 (cfree+0x6c) [0x7f7552466cac]
6: X (0x400000+0x4924c) [0x44924c]
7: X (0x400000+0x49425) [0x449425]
8: X (0x400000+0x4955f) [0x44955f]
9: X (0x400000+0x497c4) [0x4497c4]
10: X (0x400000+0x217fd) [0x4217fd]
11: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x7f7552411b6d]
12: X (0x400000+0x21349) [0x421349]
Segmentation fault at address 0xffffffff020447d8

$ rpm -q xorg xorg-server xorg-drv-evdev
xorg-7.5.0-alt3
xorg-server-1.8.0-alt4
xorg-drv-evdev-2.4.0-alt2

Система: Sisyphus от 19 апреля 2010
------- Comment #1 From 2010-04-19 23:58:36 -------
драйвер видео какой?
------- Comment #2 From 2010-04-20 01:01:57 -------
Created an attachment (id=4356) [details]
Xorg.log
------- Comment #3 From 2010-04-20 01:03:58 -------
Драйвер: xorg-drv-intel-2.10.0-alt7
lspci про видео говорит:
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset
Integrated Graphics Controller (rev 07) (prog-if 00 [VGA controller])
        Subsystem: Lenovo Device 20e4
        Flags: bus master, fast devsel, latency 0, IRQ 30
        Memory at fd400000 (64-bit, non-prefetchable) [size=4M]
        Memory at d0000000 (64-bit, prefetchable) [size=256M]
        I/O ports at 5c00 [size=8]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: <access denied>
        Kernel driver in use: i915
------- Comment #4 From 2010-04-20 12:38:47 -------
uname -r и включен ли KMS?
------- Comment #5 From 2010-04-20 12:57:13 -------
# dmesg | grep drm
[    6.265155] [drm] Initialized drm 1.1.0 20060810
[    6.473299] [drm] set up 31M of stolen space
[    7.111336] [drm] TV-21: set mode NTSC 480i 0
[    7.316339] [drm] LVDS-8: set mode 1280x800 c
[    7.361766] fb0: inteldrmfb frame buffer device
[    7.375459] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor
0
[   22.851267] [drm] TV-21: set mode NTSC 480i 0
[   23.228844] [drm] TV-21: set mode NTSC 480i 0
[   23.408737] [drm] TV-21: set mode NTSC 480i 0
[   33.423663] [drm] TV-21: set mode NTSC 480i 0

# uname -r
2.6.32-std-def-alt11

# lsmod | egrep '(kms|drm)'
drm_kms_helper         28041  1 i915
drm                   184630  3 i915,drm_kms_helper
i2c_core               23476  4 videodev,i915,drm,i2c_algo_bit
------- Comment #6 From 2010-04-20 13:18:52 -------
попробовал выключить KMS, ничего хорошего не произошло, без него Х-сервер не
заводится.
------- Comment #7 From 2010-04-20 14:15:51 -------
замена ядра на 2.6.32-un-def-alt11, с целью проверки виновен-ли KMS ни к чему
не привела - умирает как и раньше.
------- Comment #8 From 2010-04-20 14:47:58 -------
"откат" на архивный дров xorg-drv-intel-2.11.0-alt1 проблему решил.
проблема именно с xorg-drv-intel-2.10.0-alt7.
------- Comment #9 From 2010-04-20 15:06:51 -------
Касательно xorg-drv-intel-2.11.0-alt1 ошибся. проблема никуда не ушла.
------- Comment #10 From 2010-04-20 18:13:26 -------
пробуйте с 2.6.32-std-ng-alt11
------- Comment #11 From 2010-04-20 18:40:59 -------
Created an attachment (id=4358) [details]
Лог Х-сервера с ведром 2.6.32-std-ng-alt11

uname -r ; rpm -q xorg-drv-intel
2.6.32-std-ng-alt11
xorg-drv-intel-2.10.0-alt7
------- Comment #12 From 2010-04-20 18:43:29 -------
переезд на 2.6.32-std-ng-alt11 ничего не дал. Визуально те-же проблемы, только
записей в логе больше стало.
------- Comment #13 From 2010-04-20 19:11:00 -------
это что ж за ноут с таким набором девайсов

Power Button
Video Bus
Sleep Button
Logitech USB-PS/2 Optical Mouse
CNF7237&CNF7238
AT Translated Set 2 keyboard
TPPS/2 IBM TrackPoint
Asus Laptop extra buttons
Lenovo ThinkPad SL Series extra buttons

и как в нем в одном уживаются "Asus Laptop extra buttons" и "Lenovo ThinkPad SL
Series extra buttons"
------- Comment #14 From 2010-04-20 20:48:29 -------
Lenovo Thinkpad SL500
откуда система взяла "Asus Laptop extra buttons"
"Lenovo ThinkPad SL Series extra buttons" заводятся модулем lenoso-sl-laptop
у нас кстати его нету, пока что собираю руками... В соседнем разделе живет
такой-же Сизифус, только i586 и там проблем никаких.
------- Comment #15 From 2010-04-20 21:12:47 -------
Created an attachment (id=4359) [details]
сползания экрана

1.
Таки с крешем Х-сервера разобрался, пришлось:
Section "Extensions"
        Option      "Composite" "Disable"
EndSection
Хотя на i586 композит работает нормально.
2.
 Теперь беда другая заняла первое место, но видимо это уже другая бага, кстати
на i586 она тоже есть, и она даже в "бубунде" повторяется - через-раз
наблюдается картина (фото в аттаче),. Т.е. если вплыло то решается рестартом
Х-сервера. Пока он крешился, приходилось бутать ноутбук.
------- Comment #16 From 2010-06-27 11:45:50 -------
http://ftp.altlinux.org/pub/people/shrek/Xorg-7.5/i586/RPMS.hasher/xorg-drv-intel-2.12.0-alt1.i586.rpm

пробуйте, потом расскажите
------- Comment #18 From 2010-06-28 09:53:52 -------
Спасибо, после установки xorg-drv-intel-2.12.0-alt1.x86_64.rpm при включенном
композите Х-сервер репестал крешится. Дополнительная радость - glxgears перетал
дергаться, развернутый на "полный экран": 
$ glxgears
Running synchronized to the vertical refresh.  The framerate should be
approximately the same as the monitor refresh rate.
299 frames in 5.0 seconds = 59.621 FPS
298 frames in 5.0 seconds = 59.455 FPS
XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0.0"
      after 1277 requests (1277 known processed) with 0 events remaining.
------- Comment #19 From 2010-07-04 16:07:23 -------
fixed